Item 6 from Christophe Camelis list;
History

#1 - 03/24/2021 12:08 PM - Thierry Dufaure

8-1 does not prevent it.

Even fixedLength encoding forsees 2 bytes for the transmission of enumeration value - allowing a range of: -32768 to 32767.

#2 - 07/26/2022 08:39 AM - Joel Greene

- Status changed from New to In Progress

- Assignee set to Richard Schimmel

- Priority changed from Normal to Low

There are no enum values > 127 currently.

Makes sense to test for forward compatibility - GOOSE, client, tool.

#3 - 07/26/2022 08:40 AM - Joel Greene
GOQOSE subscriber, including Fixed length.

#4 - 07/26/2022 08:44 AM - Joel Greene

- Related to Issues #657: Publish/subscribe enum with negative value added

#5 - 08/09/2022 08:36 AM - IEC 61850 TPWG

- Due date set to 10/04/2022

- Closed Reason Test Procedure Update added
- Closed Reason deleted (--Not Set---)

#6 - 08/10/2022 11:16 AM - John Bruder
This could really complicate the MMS mapping.

8-1 says "the MMS data type shall be the minimum size required to contain the maximum standardized value".

Currently, all Enums map to an 8-bit signed integer.

But if one attribute exceeds 127, it will need a different MMS data type than all other Enums. This can be done, but users will need to know the

"maximum standardized value" for each Enum.
#7 - 10/17/2022 09:48 AM - Thierry Dufaure

To respond to John:
"but users will need to know the "maximum standardized value" for each Enum"

It is not only about maximum standardized value, but minimum extended value. Users can check the EnumerationType from SCL since SCL Ed1.

#8 - 01/09/2023 08:20 AM - Richard Schimmel
- File Solution to redmine 656 and 657.docx added
- Test Case ID set to sGos9

Added solution to update sGos9 with fixed length ENUM value >127 and negative.

#9 - 01/10/2023 02:26 AM - Thierry Dufaure

The issue is not only for the scope of fixed-length GOOSE tests, but also for BER-encoded GOOSE tests.
Additionally, the test procedure shall indicate that the EnumType in the SCD is indicating ord values that are negative, or bigger than 129,...

#10 - 01/24/2023 08:41 AM - IEC 61850 TPWG
- Due date changed from 10/04/2022 to 02/07/2023

#11 - 01/24/2023 10:02 AM - Richard Schimmel
- File Solution to redmine 656 and 657 (Jan24).docx added
- Test Case ID changed from sGos9 to sGos16

Updated solution with new conditional test case: sGos16

#12 - 02/07/2023 04:28 AM - Thierry Dufaure

| wouldn't make the test conditional ENS can be subscribed.

The ENS using values outside the INT8 range, could be in a DataSet with bolean; those boolean are indeed subscribed (application) - and
ping-ponged.

When a subscriber cannot subscribe to a type, | think it is meant: the application cannot receive it, but the communication can. Otherwise it is difficut
to shre and configure dataSet based on what the subscriber is allowing. Am | wrong?

#13 - 02/07/2023 08:15 AM - IEC 61850 TPWG
- Due date changed from 02/07/2023 to 02/21/2023

Test to be updated to remove ENS conditional.

Add a boolean to dataset and verify processing when ENS is not supported.

#14 - 02/21/2023 08:20 AM - IEC 61850 TPWG
- Due date changed from 02/21/2023 to 03/07/2023

#15 - 02/21/2023 09:18 AM - Richard Schimmel
- File Solution to redmine 656 and 657 (Feb21).docx added

Updated solution - removed ENS condition and added boolean to the dataset when ENS is not supported

#16 - 03/21/2023 08:09 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

#17 - 03/01/2024 09:48 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3

Files

Solution to redmine 656 and 657.docx 58.3 KB 01/09/2023 Richard Schimmel
Solution to redmine 656 and 657 (Jan24).docx 21.2 KB 01/24/2023 Richard Schimmel
Solution to redmine 656 and 657 (Feb21).docx 21.7 KB 02/21/2023 Richard Schimmel
